/*
 * Copyright (c) 2001, 2002 The XDoclet team
 * All rights reserved.
 */
package xdoclet.modules.jdo;

/**
 * @author    Ludovic Claude (ludovicc@users.sourceforge.net)
 * @created   10 October 2002
 * @version   $Revision: 1.2 $
 */
public final class XDocletModulesJdoMessages
{

    /**
     * @msg.bundle
     *       msg = "Functionality not yet supported for vendor {0}"
     *
     */
    public final static String NOT_YET_SUPPORTED = "NOT_YET_SUPPORTED";

    /**
     * @msg.bundle
     *       msg = "Java arrays are not supported by vendor {0}"
     *
     */
    public final static String NOT_SUPPORTED_ARRAY = "NOT_SUPPORTED_ARRAY";

    /**
     * @msg.bundle
     *       msg = "Maps are not supported by vendor {0}"
     *
     */
    public final static String NOT_SUPPORTED_MAP = "NOT_SUPPORTED_MAP";

    /**
     * @msg.bundle
     *       msg = "Tag {0} with attribute {1}={2} is not supported by vendor {3}"
     *
     */
    public final static String NOT_SUPPORTED_TAG_ATTRIBUTE_VALUE = "NOT_SUPPORTED_TAG_ATTRIBUTE_VALUE";

    /**
     * @msg.bundle
     *       msg = "Vendor {0} doesn't support mapping of field on multiple tables"
     *
     */
    public final static String NOT_SUPPORTED_MULTIPLE_TABLE_MAPPING = "NOT_SUPPORTED_MULTIPLE_TABLE_MAPPING";
}
